%define major 1
%define libname	%mklibname %{name} %{major}
%define develname %mklibname %name -d

Summary:	The Open Dynamics Engine
Name:		ode
Version:	0.11.1
Release:	%mkrel 5
Epoch:		1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.ode.org
Source0:	http://downloads.sourceforge.net/opende/%{name}-%{version}.tar.bz2

%description
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms. 

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures. 

%package -n	%{libname}
Summary:	Physics simulation library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 0} < 0.10.1

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with ODE.

%package -n	%{develname}
Summary:	Headers and libraries to develop ODE applications
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{mklibname %{name} 0 -d}
Obsoletes:	%{mklibname %{name} 0 -d} < 0.10.1
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description -n	%{develname}
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms.

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures.

%prep
%setup -q

%build
%configure2_5x \
	--with-trimesh=opcode \
	--with-drawstuff=X11 \
	--enable-new-trimesh \
	--disable-demos \
	--enable-shared --disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libode.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc CHANGELOG.txt README.txt
%dir %{_includedir}/%{name}
%{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:0.11.1-5.mga3
+ Revision: 361786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 fwang <fwang> 1:0.11.1-4.mga2
+ Revision: 150193
- tighten br

* Thu Jan 20 2011 blino <blino> 1:0.11.1-3.mga1
+ Revision: 25245
- rebuild because of rpm breakage

* Thu Jan 20 2011 blino <blino> 1:0.11.1-2.mga1
+ Revision: 25055
- remove old ldconfig scriptlets
- imported package ode

